# Class: LicenseRoleClient

## LicenseRoleClient

## Constructor

#### new LicenseRoleClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/licenserole'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/licenseRole.js, line 5

### Methods

#### editLicenseRole(opts, callback)

Updates the license role with the passed data. Only the groups of the role may be updated. Requests to change the id or the name of the role will be silently ignored.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`roleId` |  | The id of the license role to retrieve.
`role` |  | The new data to place in the role. See https://docs.atlassian.com/jira/REST/latest/#d2e365

`callback` |  | Called when the license role is edited.

Source:
  - api/licenseRole.js, line 52

#### getAllLicenseRoles(opts, callback)

Returns all license roles in the system.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the license roles have been retrieved.

Source:
  - api/licenseRole.js, line 13

#### getLicenseRole(opts, callback)

Gets the passed license role if it exists.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`roleId` |  | The id of the license role to retrieve.

`callback` |  | Called when the license role is retrieved.

Source:
  - api/licenseRole.js, line 32